#coding: utf-8

import logging

from django.core.management.base import BaseCommand

from m3.actions import ApplicationLogicException

from kinder.core.unit.models import Unit
from gisdo.models import GisdoUnit


log = logging.getLogger('gisdo')


class Command(BaseCommand):

    def handle(self, *args, **kwargs):

        unsynchronized_units = Unit.objects.filter(gisdo_unit__isnull=True)

        for unit in unsynchronized_units:

            g_unit = GisdoUnit(unit=unit)

            try:
                g_unit.create_doo_identity()
            except ApplicationLogicException, e:
                log.info(e.exception_message)
                print u'Не удалось синхронизировать учреждение: %s' % unit.name
                continue

            g_unit.save()